Create Access Request
curl --request POST \
--url https://api.memoram.app/api/v1/access-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memoryKey": "user_provided_mem_key",
"reason": "DemoBot would like to access your ai memories"
}
'import requests
url = "https://api.memoram.app/api/v1/access-requests"
payload = {
"memoryKey": "user_provided_mem_key",
"reason": "DemoBot would like to access your ai memories"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memoryKey: 'user_provided_mem_key',
reason: 'DemoBot would like to access your ai memories'
})
};
fetch('https://api.memoram.app/api/v1/access-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.memoram.app/api/v1/access-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'memoryKey' => 'user_provided_mem_key',
'reason' => 'DemoBot would like to access your ai memories'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.memoram.app/api/v1/access-requests"
payload := strings.NewReader("{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.memoram.app/api/v1/access-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.memoram.app/api/v1/access-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "pending",
"reason": "<string>",
"memoryKey": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiConnectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Access Management
Create Access Request
Initiate a request for access to a specific user’s memory store using their unique Memory Key. The user must approve this request via the Memoram dashboard.
POST
/
access-requests
Create Access Request
curl --request POST \
--url https://api.memoram.app/api/v1/access-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memoryKey": "user_provided_mem_key",
"reason": "DemoBot would like to access your ai memories"
}
'import requests
url = "https://api.memoram.app/api/v1/access-requests"
payload = {
"memoryKey": "user_provided_mem_key",
"reason": "DemoBot would like to access your ai memories"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memoryKey: 'user_provided_mem_key',
reason: 'DemoBot would like to access your ai memories'
})
};
fetch('https://api.memoram.app/api/v1/access-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.memoram.app/api/v1/access-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'memoryKey' => 'user_provided_mem_key',
'reason' => 'DemoBot would like to access your ai memories'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.memoram.app/api/v1/access-requests"
payload := strings.NewReader("{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.memoram.app/api/v1/access-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.memoram.app/api/v1/access-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"memoryKey\": \"user_provided_mem_key\",\n \"reason\": \"DemoBot would like to access your ai memories\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "pending",
"reason": "<string>",
"memoryKey": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiConnectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Initiate a request for access to a specific user’s memory store using their unique Memory Key. The user must approve this request via the Memoram dashboard before you can retrieve their credentials.
Authorization
RequiresBearer token authentication using your Developer JWT.Body
application/json
Response
Access request created successfully. Status will be 'pending'.